
Application: gvSIG desktop - gvSIG bugs #1532
Update of Italian translation of JWizardComponent.jar (gvSIG 2.0)
01/04/2013 10:04 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category:
Target version: 2.0.0-rc5
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

See ticket #919 for more details and attachments.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1613: New jar with trans... Closed 02/08/2013

History
#1 - 01/07/2013 11:42 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc3 to 2.0.0-final

#2 - 01/07/2013 11:54 AM - Joaquín  del Cerro Murciano
- Assignee set to Juan Lucas Domínguez
- Target version changed from 2.0.0-final to 2.0.0-rc4

Hola Antonio, 
la rc3 ya ha salido cuando he visto el ticket, 
lo meto para la rc4.

Un saludo
Joaquin

#3 - 01/07/2013 12:07 PM - Antonio Falciano

Hi Joaquín,
no problem! The important thing is that it will be included in the 2.0.0 final version differently from gvSIG 1.12. ;) Thanks for your kind attention.

Cheers,
Antonio

#4 - 01/10/2013 02:47 PM - Juan Lucas Domínguez
- Priority changed from High to Normal
- Target version changed from 2.0.0-rc4 to 2.0.0-final
Translations are inside the jar file and the project of that library (JWizardComponent) is dead. Possible solutions:

- Edit the properties files inside the JAR (easy but not very elegant)
- Force the use of other translations from outside (not so easy and this library is used in 6 or 7 different projects). Joaquón, can you give some hints on
how you did this in your tests?

#5 - 01/10/2013 02:59 PM - Antonio Falciano

Hi Juan Lucas,
I solved in this way in #919: I've downloaded the source code from the page of the project on SourceForge [1, 2], updated the translation and finally
built the jar [3]. That's all.

Cheers,
Antonio

[1] http://jwizardcmponent.sourceforge.net/
[2] http://sourceforge.net/projects/jwizardcmponent/files/jwizardcmponent/1.2.2/JWizardComponent.zip/download
[3] https://devel.gvsig.org/redmine/attachments/292/JWizardComponent.jar

#6 - 02/06/2013 11:09 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc5

#7 - 02/06/2013 02:31 PM - Juan Lucas Domínguez

Thanks Antonio. We are trying to solve it by adding a little jar file that provides only the fixed translations, but it only works on Linux because on
Windows the order of jar files in the classpath is not controlled yet.

Added dependency that provides better i18n.

gvsig-desktop:r39702

#8 - 02/08/2013 01:14 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r39702
Added little JAR with better Italian translation

#9 - 02/26/2014 12:33 PM - Álvaro Anguix
- Status changed from Fixed to Closed
